.mainHeader {
    background-color: #363333;
    display: flex;
    align-items: center;
    height: 120px;
    z-index: 9999;
    box-shadow: 0 -6px 10px 5px rgba(0, 0, 0, 0.5);
}

.menuHeader .row {
    gap: 10px;
}

.brandLogoDiv {
    height: auto;
    width: 214px;
}

.brandLogo {
    width: 100%;
    height: 100%;
    position: relative;
}

.menu-item-link {
    font-size: 18px;
    text-shadow: 0 0 transparent;
    line-height: 50px;
    width: 100%;
    color: #fff;
}

.active {
    color: #d1c6d9;
}

.header_wrapper {
    display: flex;
    align-items: center;
}

.menu-item {
    text-align: center;
    position: relative;
    box-sizing: border-box;
    overflow: visible;
    visibility: inherit;
    width: fit-content;
    height: auto;
    padding: 0 20px;
}

.menu-item:hover .menu-item-link {
    color: #000;
    transition: color .4s ease 0s;
    line-height: 50px;
}

.linksUl {
    list-style: none;
    padding: 0;
    margin: 0;
    position: relative;
    display: flex;
}

.solid .mainHeader {
    opacity: 1;
    transition: all 0.4s ease;
}

.solid.nav-up .mainHeader {
    opacity: 0;
    transition: all 0.4s ease;
}

.dNone {
    display: none !important;
}


.socialicons ul {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.socialicons li {
    width: 34px;
    height: 34px;
}


@media screen and (max-width: 767px) {

    .dNone {
        display: unset !important;
    }

    .mobMenu {
        display: flex;
    }

    .hamburger-menu {
        display: inline-block;
        transition: all 0.3s ease-in-out;
        display: flex;
        align-items: end;
        flex-direction: column;
        justify-content: center;
        gap: 9px;
        height: 25px;
        width: 30px;
        z-index: 1;
    }

    .openNavigation .hamburger-menu {
        z-index: 99;
    }

    .hamburger-menu:hover {
        cursor: pointer;
    }

    .hamburger-menu .menu-item {
        background: #fff;
        display: block;
        height: 100%;
        transition: all 0.3s ease-in-out;
        width: 100%;
        padding: 0;
        border: none;
        background-color: #fff;
        border-radius: 2px;

    }

    .mobile-menu-item .menu-item-link {
        font-size: 16px;
        text-shadow: 0 0 transparent;
        line-height: normal;
        width: 100%;
        color: #fff;
    }

    .mainHeader {
        background-color: #414141;
    }

    .mainHeader .row {
        flex-direction: column;
        padding: 5px 0;
    }

    .openNavigation .hamburger-menu .menu-item:first-child {
        transform: translate(4px, 1px) rotate(45deg);
        transform-origin: 0 0;
        background-color: #000;
    }

    .openNavigation .hamburger-menu .menu-item:nth-child(2) {
        transform: scaleX(0);
        top: 9px;
        width: 100%;
        background-color: #000;
    }

    .openNavigation .hamburger-menu .menu-item:nth-child(3) {
        transform: translate(4px, -1px) rotate(-45deg);
        transform-origin: 0 100%;
        background-color: #000;
    }

    .brandLogoDiv {
        height: auto;
        width: 135px;
    }

    .logoDiv {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 80%;
    }

    .mainHeader {
        height: auto;
    }

    .megamenu-wrap {
        background-color: #363333;
        position: fixed;
        width: 100%;
        height: 100vh;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        opacity: 0;
        transform: scaleY(0);
        transform-origin: top;
        transition: all 0.4 ease;
    }

    .openNavigation .megamenu-wrap {
        opacity: 1;
        transition: all 0.5s ease;
        transform: scaleY(1);
        z-index: 1;
    }

    .closing .megamenu-wrap {
        opacity: 0;
        transition: all 0.5s ease;
        transform: scaleY(0);
    }

    .menu-item-link {
        color: #fff;
        font-weight: 400;
        font-size: 22px;
    }

    .linksWrap {
        width: 100%;
        height: 100%;
    }

    .linksDiv {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .linksUl {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }


    .menu-item {
        height: auto;
        padding: 0;
    }

    .menu-item-link.active{
        color: #d1c6a9;
    }


    .socialicons {
        display: block;
    }

    .mobile-menu-item {
        margin-left: auto;
    }

    .mobile-menu-item .menu-item {
        padding: 0;
    }


}